<?php

namespace ForteEcom\Payments\Block;

use ForteEcom\Payments\Model\Payment\ForteEcomHelper;
use ForteEcom\Payments\Model\Ui\ConfigProvider;
use Magento\Customer\Model\Session;
use Magento\Framework\App\ObjectManager;
use Magento\Framework\View\Element\Template\Context;
use Magento\Payment\Block\ConfigurableInfo;
use Magento\Payment\Gateway\ConfigInterface;

class AccountAddCard extends ConfigurableInfo
{

    public $config_provider;
    public $merchant_id;
    public $card_save_url;
    public $customer_id;
    public $script;

    public function __construct(
        ConfigProvider $config_provider,
        Context $context,
        ConfigInterface $config,
        array $data = []
    )
    {
        parent::__construct($context, $config, $data);
        $this->config_provider = $config_provider;
    }

    /**
     * Prepares ForteEcom init data
     */
    public function prepareForteEcomData()
    {

        $config         = $this->config_provider->getConfig();
        $object_manager = ObjectManager::getInstance();

        /** @var Session $customer_session */
        $customer_session = $object_manager->get('Magento\Customer\Model\Session');
        $customer         = $customer_session->getCustomer();

        $this->merchant_id   = $config['merchant_id'];
        $this->script        = ForteEcomHelper::get_script();
        $this->card_save_url = $this->_urlBuilder->getUrl('forteecom/response/addcard');
        $this->customer_id   = $customer->getId();

    }

}
