<?php

namespace ForteEcom\Payments\Model\Ui;

use Magento\Checkout\Model\ConfigProviderInterface;
use Magento\Framework\App\Config\ScopeConfigInterface;
use Magento\Store\Model\ScopeInterface;

/**
 * Class ConfigProvider
 */
final class ConfigProvider implements ConfigProviderInterface
{

    const CC_VAULT_CODE = "forteecom";
    protected $scope_config;
    protected $scope_store;

    public function __construct(ScopeConfigInterface $scopeConfig)
    {
        $this->scope_config = $scopeConfig;
        $this->scope_store  = ScopeInterface::SCOPE_STORE;
    }

    /**
     * Retrieve assoc array of checkout configuration
     * and defines constant for demo mode
     *
     * @return array
     */
    public function getConfig()
    {
        $testmode = ($this->scope_config->getValue('payment/forteecom/testmode', $this->scope_store) == 1) ? true : false;
        $merchant_id = $this->scope_config->getValue('payment/forteecom/merchant_id', $this->scope_store);
        $pre_auth = ($this->scope_config->getValue('payment/forteecom/pre_auth', $this->scope_store) == 1) ? true : false;

        if (!defined('FORTEECOM_DEMO_ENABLED')) define('FORTEECOM_DEMO_ENABLED', $testmode ? 1 : 0);

        return [
            'merchant_id' => $merchant_id,
            'testmode'    => $testmode,
            'pre_auth'    => $pre_auth,
            'title'       => $this->scope_config->getValue('payment/forteecom/title', $this->scope_store),
        ];
    }
}
