<?php

namespace ForteEcom\Payments\Observer;

use Magento\Framework\Event\Observer;
use Magento\Payment\Observer\AbstractDataAssignObserver;
use Magento\Quote\Api\Data\PaymentInterface;

/**
 * Class PaymentDataAssigner
 */
class PaymentDataAssigner extends AbstractDataAssignObserver
{

    /**
     * Assign additional information from checkout page
     *
     * @see /view/frontend/web/js/view/payment/method-renderer/vault.js
     *
     * @param Observer $observer
     * @return void
     */
    public function execute(Observer $observer)
    {

        $data = $this->readDataArgument($observer);

        $additionalData = $data->getData(PaymentInterface::KEY_ADDITIONAL_DATA);
        $paymentInfo = $this->readPaymentModelArgument($observer);

        if (!empty($additionalData['public_hash'])) {
            $paymentInfo->setAdditionalInformation(
                'public_hash',
                $additionalData['public_hash']
            );
        }
    }
}
